# Uses of Interface
org.opensaml.saml.ext.saml2mdrpi.PublicationPath

Packages that use PublicationPath
Package
Description
org.opensaml.saml.ext.saml2mdrpi.impl
Concrete implementations of the interfaces for the SAML V2.0 Metadata Extensions for Registration and Publication Information Version 1.0.

## Uses of PublicationPath in org.opensaml.saml.ext.saml2mdrpi.impl

Classes in org.opensaml.saml.ext.saml2mdrpi.impl that implement PublicationPath
Modifier and Type
Class
Description
`class`
`PublicationPathImpl`
A concrete `PublicationPath`.
Methods in org.opensaml.saml.ext.saml2mdrpi.impl that return PublicationPath
Modifier and Type
Method
Description
`PublicationPath`
PublicationPathBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`PublicationPath`
PublicationPathBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.